using System;
using System.IO;
using System.Collections;

namespace TopCoder.File.Statistics.Reporting
{
    /// <summary>
    /// Mock implementation of <see cref="AbstractStatsReporting"/> class,
    /// used to test <see cref="AbstractStatsReporting"/>.
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    public class MockStatsReporting : AbstractStatsReporting
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public MockStatsReporting() : base()
        {
        }

        /// <summary>
        /// Constructor with property. This does not have any functionality in the current release
        /// and is kept for extension purpose. Please also declare the exceptions.
        /// </summary>
        ///
        /// <param name="nameSpace">non-empty, the namespace to load config from.</param>
        /// <param name="prefix">
        /// can be empty, the prefix indicates the global property level.</param>
        ///
        /// <exception cref="ArgumentNullException">if nameSpace is null</exception>
        /// <exception cref="ArgumentException">if nameSpace is emtpy</exception>
        /// <exception cref="ConfigurationException">if config error occurs</exception>
        public MockStatsReporting(string nameSpace, string prefix) : base(nameSpace, prefix)
        {
        }

        /// <summary>
        /// Generate the report with all the aggregated results.
        /// </summary>
        ///
        /// <returns>the generated report</returns>
        public override string GenerateReport()
        {
            return "";
        }
    }
}