using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// New exception added in version 2.0b to be thrown from the IArgumentHandler
    /// interface to indicate the provided arguments are not valid.
    /// Notice though validator can be returned from option proposal the receive
    /// method could implement more validation logic, or the logic needs to be
    /// performed on the combination of a few arguments rather than a single one.
    ///
    /// <author>WishingBone</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0b</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
	public class InvalidArgumentException : ConfigurationException
	{
	    /// <summary>
	    /// Constructor with error message (no check).
	    /// </summary>
	    /// <param name="message">the error message</param>
	    public InvalidArgumentException(string message) : base(message)
		{
		}	    
	    
	    /// <summary>
	    /// Constructor with error message and root cause (no check).
	    /// </summary>
	    /// <param name="message">the error message</param>
	    /// <param name="cause">the root cause</param>
	    public InvalidArgumentException(String message, ApplicationException cause) :
	        base(message, cause)
	    {
	    }
	}
}
