using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// New exception added in version 2.0b in order to denote an IArgumentHandler
    /// does not receive the proper arguments yet (so that the calling method can
    /// not be performed yet). Since The initialization is changed to two steps
    /// in this version a class can be left half initialized.
    /// 
    /// <author>WishingBone</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0b</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    public class MissingInitializationException : ConfigurationException
	{
        /// <summary>
	    /// Constructor with error message (no check).
	    /// </summary>
	    /// <param name="message">the error message</param>
        public MissingInitializationException(string message) : base(message)
		{
		}
	}
}
